TLM-2.0: tlm::tlm_endian_context Class Reference

# tlm::tlm_endian_context Class Reference

`#include <tlm_endian_conv.h>`

Inheritance diagram for tlm::tlm_endian_context:

[legend]
Collaboration diagram for tlm::tlm_endian_context:

[legend]

List of all members.

## Public Member Functions
| tlm_endian_context ()
| ~tlm_endian_context ()
void | establish_dbuf (int len)
void | establish_bebuf (int len)
void | free ()
tlm_extension_base * | clone () const
void | copy_from (tlm_extension_base const &)
## Public Attributes
sc_dt::uint64 | address
sc_dt::uint64 | new_address
uchar * | data_ptr
uchar * | byte_enable
int | length
int | stream_width
void(* | from_f )(tlm_generic_payload *txn, unsigned int sizeof_databus)
int | sizeof_databus
uchar * | new_dbuf
uchar * | new_bebuf
int | dbuf_size
int | bebuf_size
tlm_endian_context * | next

## Detailed Description

Definition at line 166 of file tlm_endian_conv.h.

## Constructor & Destructor Documentation

tlm::tlm_endian_context::tlm_endian_context | ( |  | ) | `[inline]`

Definition at line 168 of file tlm_endian_conv.h.

tlm::tlm_endian_context::~tlm_endian_context | ( |  | ) | `[inline]`

Definition at line 169 of file tlm_endian_conv.h.

## Member Function Documentation

tlm_extension_base* tlm::tlm_endian_context::clone | ( |  | ) | const`[inline, virtual]`

Implements tlm::tlm_extension< tlm_endian_context >.

Definition at line 205 of file tlm_endian_conv.h.

void tlm::tlm_endian_context::copy_from | ( | tlm_extension_base const & |  | ) | `[inline, virtual]`

Implements tlm::tlm_extension< tlm_endian_context >.

Definition at line 206 of file tlm_endian_conv.h.

void tlm::tlm_endian_context::establish_bebuf | ( | int | len | ) | `[inline]`

Definition at line 194 of file tlm_endian_conv.h.

void tlm::tlm_endian_context::establish_dbuf | ( | int | len | ) | `[inline]`

Definition at line 188 of file tlm_endian_conv.h.

void tlm::tlm_endian_context::free | ( |  | ) | `[inline, virtual]`

Reimplemented from tlm::tlm_extension_base.

Definition at line 202 of file tlm_endian_conv.h.

## Member Data Documentation

sc_dt::uint64 tlm::tlm_endian_context::address

Definition at line 174 of file tlm_endian_conv.h.

int tlm::tlm_endian_context::bebuf_size

Definition at line 187 of file tlm_endian_conv.h.

uchar* tlm::tlm_endian_context::byte_enable

Definition at line 177 of file tlm_endian_conv.h.

uchar* tlm::tlm_endian_context::data_ptr

Definition at line 176 of file tlm_endian_conv.h.

int tlm::tlm_endian_context::dbuf_size

Definition at line 187 of file tlm_endian_conv.h.

void(* tlm::tlm_endian_context::from_f)(tlm_generic_payload *txn, unsigned int sizeof_databus)

int tlm::tlm_endian_context::length

Definition at line 178 of file tlm_endian_conv.h.

sc_dt::uint64 tlm::tlm_endian_context::new_address

Definition at line 175 of file tlm_endian_conv.h.

uchar * tlm::tlm_endian_context::new_bebuf

Definition at line 186 of file tlm_endian_conv.h.

uchar* tlm::tlm_endian_context::new_dbuf

Definition at line 186 of file tlm_endian_conv.h.

tlm_endian_context* tlm::tlm_endian_context::next

Definition at line 209 of file tlm_endian_conv.h.

int tlm::tlm_endian_context::sizeof_databus

Definition at line 183 of file tlm_endian_conv.h.

int tlm::tlm_endian_context::stream_width

Definition at line 179 of file tlm_endian_conv.h.

The documentation for this class was generated from the following file:

- include/tlm/tlm_h/tlm_generic_payload/tlm_endian_conv.h